from collections.abc import Sequence

from msgspec import Struct


class PerunDatabaseSyncResult(Struct):
    facility: str
    deleted: Sequence[int]
    inserted: int
    dry_run: bool = False


class PerunUserStruct(Struct):
    facility: str
    perun_id: str
    login_mu: str
    scoped_login_mu: str
    display_name: str
    preferred_mail: str
    aliases: list[str]
